## r-cran-sfsmisc 1.1

=== DESCRIPTION ===
Package: sfsmisc
Title: Utilities from 'Seminar fuer Statistik' ETH Zurich
Version: 1.1-20
VersionNote: Last CRAN: 1.1-19 on 2024-08-16; 1.1-18 on 2024-04-25;
        1.1-17 on 2024-02-01
Date: 2024-10-23
Authors@R: c(person("Martin","Maechler", role=c("aut","cre"), email="maechler@stat.math.ethz.ch",
	                                 comment = c(ORCID = "0000-0002-8685-9910"))
	   , person("Werner", "Stahel", role = "ctb",
	   	   comment = "Functions: compresid2way(), f.robftest(), last(), p.scales(), p.dnorm()")
	   , person("Andreas", "Ruckstuhl", role = "ctb",
	   	   comment = "Functions: p.arrows(), p.profileTraces(), p.res.2x()")
	   , person("Christian", "Keller", role = "ctb",
	   	   comment = "Functions: histBxp(), p.tachoPlot()")
	   , person("Kjetil", "Halvorsen", role = "ctb",
	   	   comment = "Functions: KSd(), ecdf.ksCI()")
	   , person("Alain", "Hauser", role = "ctb",
	   	   comment = "Functions: cairoSwd(), is.whole(), toLatex.numeric()*")
	   , person("Christoph", "Buser", role = "ctb",
	   	   comment = "to function Duplicated()")
	   , person("Lorenz", "Gygax", role = "ctb",
	   	   comment = "to function p.res.2fact()")
	   , person("Bill", "Venables", role = "ctb",
	   	   comment = "Functions: empty.dimnames(), primes()")
	   , person("Tony", "Plate", role = "ctb", comment = "to inv.seq()")
	   # minor contributors:
	   , person("Isabelle", "Flückiger", role = "ctb")
	   , person("Marcel", "Wolbers", role = "ctb")
	   , person("Markus", "Keller", role = "ctb")
	   , person("Sandrine", "Dudoit", role = "ctb")
	   , person("Jane", "Fridlyand", role = "ctb")
	   , person("Greg", "Snow", role = "ctb", comment = "to loessDemo()")
	   , person("Henrik Aa.", "Nielsen", role = "ctb", comment = "to loessDemo()")
	   , person("Vincent", "Carey", role = "ctb")
	   , person("Ben", "Bolker", role = "ctb")
	   , person("Philippe", "Grosjean", role = "ctb")
	   , person("Frédéric", "Ibanez", role = "ctb")
	   , person("Caterina", "Savi", role = "ctb")
	   , person("Charles", "Geyer", role = "ctb")
	   , person("Jens", "Oehlschlägel", role = "ctb")
 )
Maintainer: Martin Maechler <maechler@stat.math.ethz.ch>
Description: Useful utilities ['goodies'] from Seminar fuer Statistik ETH Zurich,
   some of which were ported from S-plus in the 1990s.
 For graphics, have pretty (Log-scale) axes eaxis(), an enhanced Tukey-Anscombe
   plot, combining histogram and boxplot, 2d-residual plots, a 'tachoPlot()',
   pretty arrows, etc.
 For robustness, have a robust F test and robust range().
 For system support, notably on Linux, provides 'Sys.*()' functions with
   more access to system and CPU information.
 Finally, miscellaneous utilities such as simple efficient prime numbers,
   integer codes, Duplicated(), toLatex.numeric() and is.whole().
Depends: R (>= 3.3.0)
Imports: grDevices, utils, stats, tools
Suggests: datasets, tcltk, cluster, lattice, MASS, Matrix, nlme,
        lokern, Rmpfr, gmp
Enhances: mgcv, rpart, nor1mix, polycor, sm, tikzDevice, DescTools,
        e1071, Hmisc, pastecs, polynom, relevance, robustbase
EnhancesNote: 2nd line: packages mentioned in Rd xrefs
Encoding: UTF-8
ByteCompile: yes
License: GPL (>= 2)
URL: https://github.com/mmaechler/sfsmisc
BugReports: https://github.com/mmaechler/sfsmisc/issues
NeedsCompilation: no
Packaged: 2024-10-23 10:15:15 UTC; maechler
Author: Martin Maechler [aut, cre] (<https://orcid.org/0000-0002-8685-9910>),
  Werner Stahel [ctb] (Functions: compresid2way(), f.robftest(), last(),
    p.scales(), p.dnorm()),
  Andreas Ruckstuhl [ctb] (Functions: p.arrows(), p.profileTraces(),
    p.res.2x()),
  Christian Keller [ctb] (Functions: histBxp(), p.tachoPlot()),
  Kjetil Halvorsen [ctb] (Functions: KSd(), ecdf.ksCI()),
  Alain Hauser [ctb] (Functions: cairoSwd(), is.whole(),
    toLatex.numeric()*),
  Christoph Buser [ctb] (to function Duplicated()),
  Lorenz Gygax [ctb] (to function p.res.2fact()),
  Bill Venables [ctb] (Functions: empty.dimnames(), primes()),
  Tony Plate [ctb] (to inv.seq()),
  Isabelle Flückiger [ctb],
  Marcel Wolbers [ctb],
  Markus Keller [ctb],
  Sandrine Dudoit [ctb],
  Jane Fridlyand [ctb],
  Greg Snow [ctb] (to loessDemo()),
  Henrik Aa. Nielsen [ctb] (to loessDemo()),
  Vincent Carey [ctb],
  Ben Bolker [ctb],
  Philippe Grosjean [ctb],
  Frédéric Ibanez [ctb],
  Caterina Savi [ctb],
  Charles Geyer [ctb],
  Jens Oehlschlägel [ctb]
Repository: CRAN
Date/Publication: 2024-11-05 23:10:02 UTC

## r-cran-sfsmisc 1.1-1

=== debian/changelog ===
r-cran-sfsmisc (1.1-1-1) unstable; urgency=medium

  * Initial release (closes: #879601)

 -- Andreas Tille <tille@debian.org>  Mon, 23 Oct 2017 12:03:18 +0200

=== debian/control ===
Source: r-cran-sfsmisc
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-r
Standards-Version: 4.1.1
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/r-cran-sfsmisc.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/r-cran-sfsmisc.git
Homepage: https://cran.r-project.org/package=sfsmisc

Package: r-cran-sfsmisc
Architecture: all
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R utilities from 'Seminar fuer Statistik' ETH Zurich
 This packagr assembles a set of useful utilities ['goodies'] from
 Seminar fuer Statistik ETH Zurich, quite a few related to graphics; some
 were ported from S-plus.

## r-cran-sfsmisc 1.1-2

=== debian/changelog ===
r-cran-sfsmisc (1.1-2-2) unstable; urgency=medium

  * Rebuild for R 3.5 transition
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Fri, 01 Jun 2018 23:44:51 +0200

r-cran-sfsmisc (1.1-2-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.1.3
  * debhelper 11

 -- Andreas Tille <tille@debian.org>  Fri, 16 Mar 2018 09:07:22 +0100

=== debian/control ===
Source: r-cran-sfsmisc
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-sfsmisc
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-sfsmisc.git
Homepage: https://cran.r-project.org/package=sfsmisc

Package: r-cran-sfsmisc
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R utilities from 'Seminar fuer Statistik' ETH Zurich
 This packagr assembles a set of useful utilities ['goodies'] from
 Seminar fuer Statistik ETH Zurich, quite a few related to graphics; some
 were ported from S-plus.

## r-cran-sfsmisc 1.1-3

=== debian/changelog ===
r-cran-sfsmisc (1.1-3-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.2.1

 -- Andreas Tille <tille@debian.org>  Mon, 03 Dec 2018 10:49:10 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper (>= 11~),
                dh-r,
                r-base-dev
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-sfsmisc
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-sfsmisc.git
 Homepage: https://cran.r-project.org/package=sfsmisc

## r-cran-sfsmisc 1.1-4

=== debian/changelog ===
r-cran-sfsmisc (1.1-4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper 12
  * Standards-Version: 4.4.0

 -- Dylan Aïssi <daissi@debian.org>  Fri, 19 Jul 2019 12:16:49 +0200

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                dh-r,
                r-base-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-sfsmisc
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-sfsmisc.git
 Homepage: https://cran.r-project.org/package=sfsmisc

## r-cran-sfsmisc 1.1-5

=== debian/changelog ===
r-cran-sfsmisc (1.1-5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.5.0
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g
  * Trim trailing whitespace.

 -- Dylan Aïssi <daissi@debian.org>  Sat, 22 Feb 2020 09:17:34 +0100

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-sfsmisc
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-sfsmisc.git
 Homepage: https://cran.r-project.org/package=sfsmisc

## r-cran-sfsmisc 1.1-7

=== debian/changelog ===
r-cran-sfsmisc (1.1-7-2) unstable; urgency=medium

  * Team upload.

 -- Dylan Aïssi <daissi@debian.org>  Sat, 16 May 2020 09:17:53 +0200

r-cran-sfsmisc (1.1-7-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Sun, 10 May 2020 09:18:53 +0200

r-cran-sfsmisc (1.1-6-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Testsuite: autopkgtest-pkg-r (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Fri, 10 Apr 2020 21:47:07 +0200

=== debian/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
 Build-Depends: debhelper-compat (= 12),
                dh-r,
@@ -10,6 +11,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-sfsmisc
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-sfsmisc.git
 Homepage: https://cran.r-project.org/package=sfsmisc
+Rules-Requires-Root: no
 
 Package: r-cran-sfsmisc
 Architecture: all

## r-cran-sfsmisc 1.1-8

=== debian/changelog ===
r-cran-sfsmisc (1.1-8-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 16 Jan 2021 17:41:26 +0100

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-sfsmisc
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-sfsmisc.git
 Homepage: https://cran.r-project.org/package=sfsmisc

## r-cran-sfsmisc 1.1-12

=== debian/changelog ===
r-cran-sfsmisc (1.1-12-1) unstable; urgency=medium

  * Disable reprotest
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 21 Sep 2021 11:44:53 +0200

r-cran-sfsmisc (1.1-11-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Thu, 26 Aug 2021 07:56:15 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-sfsmisc
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-sfsmisc.git
 Homepage: https://cran.r-project.org/package=sfsmisc

## r-cran-sfsmisc 1.1-13

=== debian/changelog ===
r-cran-sfsmisc (1.1-13-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 28 May 2022 23:26:50 +0200

## r-cran-sfsmisc 1.1-14

=== debian/changelog ===
r-cran-sfsmisc (1.1-14-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 28 Nov 2022 15:31:54 +0100

=== debian/control ===
Source: r-cran-sfsmisc
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-sfsmisc
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-sfsmisc.git
Homepage: https://cran.r-project.org/package=sfsmisc
Standards-Version: 4.6.1
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev
Testsuite: autopkgtest-pkg-r

Package: r-cran-sfsmisc
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R utilities from 'Seminar fuer Statistik' ETH Zurich
 This packagr assembles a set of useful utilities ['goodies'] from
 Seminar fuer Statistik ETH Zurich, quite a few related to graphics; some
 were ported from S-plus.

## r-cran-sfsmisc 1.1-15

=== debian/changelog ===
r-cran-sfsmisc (1.1-15-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 27 Jun 2023 11:21:23 +0200

## r-cran-sfsmisc 1.1-16

=== debian/changelog ===
r-cran-sfsmisc (1.1-16-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 28 Aug 2023 15:25:26 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-sfsmisc
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-sfsmisc.git
 Homepage: https://cran.r-project.org/package=sfsmisc
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-cluster,
        r-cran-lattice,
        r-cran-mass,
        r-cran-matrix,
        r-cran-nlme,
        r-cran-rmpfr,
        r-cran-gmp
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/sfsmisc_([-\d.]*)\.tar\.gz

## r-cran-sfsmisc 1.1-18

=== debian/changelog ===
r-cran-sfsmisc (1.1-18-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Mon, 17 Jun 2024 10:22:49 +0900

## r-cran-sfsmisc 1.1-19

=== debian/changelog ===
r-cran-sfsmisc (1.1-19-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Thu, 03 Oct 2024 10:18:28 +0900

## r-cran-sfsmisc 1.1-20

=== debian/changelog ===
r-cran-sfsmisc (1.1-20-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Mon, 27 Jan 2025 16:39:41 +0900

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-sfsmisc
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-sfsmisc.git
 Homepage: https://cran.r-project.org/package=sfsmisc
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

## r-cran-sfsmisc 1.1-23

=== debian/changelog ===
r-cran-sfsmisc (1.1-23-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)

 -- Charles Plessy <plessy@debian.org>  Tue, 17 Feb 2026 16:59:11 +0900

=== debian/control ===
Source: r-cran-sfsmisc
Standards-Version: 4.7.3
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders:
 Andreas Tille <tille@debian.org>,
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Build-Depends:
 debhelper-compat (= 13),
 dh-r,
 r-base-dev,
 architecture-is-64-bit,
 architecture-is-little-endian,
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-sfsmisc
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-sfsmisc.git
Homepage: https://cran.r-project.org/package=sfsmisc
Rules-Requires-Root: no

Package: r-cran-sfsmisc
Architecture: all
Depends:
 ${R:Depends},
 ${misc:Depends},
Recommends:
 ${R:Recommends},
Suggests:
 ${R:Suggests},
Description: GNU R utilities from 'Seminar fuer Statistik' ETH Zurich
 This packagr assembles a set of useful utilities ['goodies'] from
 Seminar fuer Statistik ETH Zurich, quite a few related to graphics; some
 were ported from S-plus.

=== debian/tests/control ===
Tests: run-unit-test
Restrictions: allow-stderr
Depends:
 @,
 r-cran-cluster,
 r-cran-lattice,
 r-cran-mass,
 r-cran-matrix,
 r-cran-nlme,
 r-cran-rmpfr,
 r-cran-gmp,
